# Integrate SDK

## Import <a href="#import" id="import"></a>

Import the `DENTGigastoreSDK` into your file.

```swift
import DENTGigastoreSDK
```

## Load <a href="#load" id="load"></a>

The `load` method initializes the Gigastore SDK. Please make sure to include your "SDK Key" here. You can find your SDK Key in the [Gigastore](https://dent.giga.store) under "SDK -> iOS -> Sales Channel".

```
let sdkKey = "SDK KEY"
​Gigastore.load(withSDKKey: sdkKey)
```

## Set UserToken​

Please use an identifier from your system. You can e.g. use a self-signed JSON Web Token (JWT) as the `userToken`. That way you are able to verify the requesting device on your server when receiving the activation request webhook from Gigastore.

```
let userToken = "USER_TOKEN_1234567"
​Gigastore.setUserToken(userToken: userToken)
```

{% hint style="info" %}
&#x20;This parameter will be provided in the [ActivationRequest Webhook](/sdk-webhooks/activationrequest.md) to enable your server to check if the user is eligible to activate an eSIM. This parameter will **not be stored** on our servers.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.giga.store/ios/load-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
